Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class Property

    java.lang.Object
      org.hibernate.tuple.Property

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IdentifierProperty, StandardProperty

    public abstract class Property

extends Object
implements Serializable

Defines the basic contract of a Property within the runtime metamodel.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Property(String name, String node, Type type)` Constructor for Property instances.

Method Summary
`String` | `getName()`
`String` | `getNode()`
`Type` | `getType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    protected Property(String name,
                       String node,
                       Type type)

  Constructor for Property instances.

  Parameters:
    `name` - The name by which the property can be referenced within its owner.
    `node` - The node name to use for XML-based representation of this property.
    `type` - The Hibernate Type of this property.

Method Detail

### getName

    public String getName()

### getNode

    public String getNode()

### getType

    public Type getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.